------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-06-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(59, 44)
CppScriptMgr:SetViewScale(400)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061930, 59, 47, "Raphael", 0, 0)
Player_1:SetDir(4)
local Player_2 = CppScriptMgr:AddSimplePlayer(1061460, 58, 42, "Miko", 0, 0)
local Player_3 = CppScriptMgr:AddSimplePlayer(1061470, 62, 43, "Maria", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(1061781, 64, 47, "Antonio", 0, 0)
Player_4:SetDir(1)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061790, 56, 43, "Conner", 0, 0)
CppScriptMgr:WaitMilSec(560)
CppScriptMgr:NpcCallOut("The Hot Music Festival is about to kick off, and we`re sure to bring you the best live performance of the summer!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Lafer", 150, 430, "Raphael", 250, 655, false)
CppScriptMgr:WaitMilSec(1980)
CppScriptMgr:NpcCallOut("Fantastic! We finally have a stage of our own!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Miko", 150, 430, "Miko", 250, 655, false)
CppScriptMgr:WaitMilSec(2050)
CppScriptMgr:NpcCallOut("I`m gonna bring out my best skills!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Antonio", 150, 430, "Antonio", 250, 655, false)
CppScriptMgr:WaitMilSec(1910)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("nag_bom_ass", 58, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 58, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(940)
Player_1:SetDir(0)
CppScriptMgr:WaitMilSec(60)
local Effect_3 = CppScriptMgr:AddEffect("nag_bom_ass", 58, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("What a lousy music festival! I won`t let you have your way!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "DiscordLord", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
Player_1:Say("Darn it! It`s the Discord Lord!", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Destroy it all! I will erase all music from this world!!!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7126", 150, 430, "DiscordLord", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)